Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus extension

From: Mája Tomášek <[email-masked]>
Date: Thu, 20 Oct 2022 21:58:24 +0200

Dominic Martinez <[email-masked]> writes:

> Liliana Marie Prikler <[email-masked]> writes:
>
>> IIRC you have to --verify=contents,repair.  Note that repair 
>> might
>> still not work due to gnome-console – like all gnome packages –
>> receiving grafts, which is known to mess with guix build 
>> --repair.
>
> I'm encountering the same issue, so it seems strange for it to be 
> a spurious corruption. Just chiming in in case this doesn't work.

I have tested everything that has been suggested, but nothing really
worked. When I try apply transform on gnome
(options->transformation
'((with-debug-info . "gnome-console")))
it does not allow me to do so. (Apparently there is a version conflict.

I know that this issue is not present on
guix shell --pure nautilus gnome-console

And is also fixed with
guix shell --with-debug-info=gnome-console nautilus gnome-console

But I cannot upgrade gnome-console, or at least when I tried rollbacking
to a previous version (about a month ago) then deleting all generations,
running guix gc. But the issue is back when I ran guix system
reconfigure.

I have now verified, that it is indeed not a binary corruption issue. As both
in normal and in the pure environment the libkgx-nautilus.so are the
same file.

The fact that it does not occur when using the
--with-debug-info=gnome-console option is kind of a bummer, as I cannot
use gdb to debug gnome-console :D

Regards

Maya